<?php
include 'topo.php';

$msg = "";
$msgClass = "msgErro";
$titulo = "Configurações > Alterar Senha";

##########################
# carregar usuario
##########################
$objUsuario = new Usuario();
$objUsuario->id = $_SESSION['rz2']['admin']['usuario']['id'];
$objUsuario->carregar();

##########################
# alterar
##########################
if(isPost($_POST['ok'])){
	if($_POST['senhaatual'] == "" || $_POST['senha'] == "" || $_POST['senha2'] == ""){
		$msg = "Preencha todos os campos";
	}
	else{
		if(md5(trim($_POST['senhaatual'])) != $objUsuario->senha){
			$msg = "Senha atual não confere";
		}
		elseif(strlen(trim($_POST['senha'])) < 6 || strlen(trim($_POST['senha2'])) > 10){
			$msg = "A nova senha deve possuir entre 6 e 10 caracteres";
		}
		else{
			$senha1 = Usuario::trataSenha($_POST['senha']);
			$senha2 = Usuario::trataSenha($_POST['senha2']);
			if($senha1 != $senha2){
				$msg = "Senha de confirmação não confere";
			}
			else{
				$objUsuario->senha = $senha1;
				if(!$objUsuario->alterar()){
					$msg = "Ocorreu um erro ao alterar a senha";
				}
				else{
					$msg = "Senha alterada com sucesso";
					$msgClass = "msgSucesso";
				}
			}
		}
	}
}
?>

<h1><?=$titulo?></h1>

<?php include PATHADMIN.'msg.php'; ?>

<div class="boxForm">
	<div class="boxTitulo">Alterar</div>
	<form name="form1" id="form1" action="" method="post">
		<div class="campo3">
			<label for="senhaatual">Senha Atual:</label>
			<input class="width-auto" size="40" maxlength="10" type="password" id="senhaatual" name="senhaatual" value="" req="1" />
			&nbsp;<span class="dica">Digite sua senha atual</span>
		</div>
		<div class="campo3">
			<label for="senha">Nova Senha:</label>
			<input class="width-auto" size="40" maxlength="10" type="password" id="senha" name="senha" value="" req="1" />
			&nbsp;<span class="dica">A nova senha deve ter entre 6 e 10 caracteres</span>
		</div>
		<div class="campo3">
			<label for="senha2">Repetir:</label>
			<input class="width-auto" size="40" maxlength="10" type="password" id="senha2" name="senha2" value="" req="1" />
			&nbsp;<span class="dica">Repetir a nova senha</span>
		</div>
		<div class="campo3 align-right">
			<input type="submit" class="botao" name="ok" value="Salvar" title="Salvar" validar="1" />
		</div>
	</form>
</div>

<?php
include 'rodape.php';
?>